Get payment list
curl --request POST \
--url https://sbx.api.easybilling.cloud/payment-hub/api/data-query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'trace-id: <trace-id>' \
--data '
{
"startDate": "2026-01-01",
"endDate": "2027-01-01",
"queryObject": "payment-query-list"
}
'import requests
url = "https://sbx.api.easybilling.cloud/payment-hub/api/data-query"
payload = {
"startDate": "2026-01-01",
"endDate": "2027-01-01",
"queryObject": "payment-query-list"
}
headers = {
"trace-id": "<trace-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'trace-id': '<trace-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
startDate: '2026-01-01',
endDate: '2027-01-01',
queryObject: 'payment-query-list'
})
};
fetch('https://sbx.api.easybilling.cloud/payment-hub/api/data-query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"records": [
{
"id": "48157f1b-f5ec-4f93-bbc0-8473e275bc30",
"gatewayLink": "https://checkout.stripe.com/c/pay/cs_test_a1YyW0yQcqjpQG3TKUz96ONYWW1AeFzCh8Zxdlxe17fHuvjs0D5tojc0Eh#fidnandhYHdWcXxpYCc%2FJ2FgY2RwaXEnKSd2cXdsdWBEZmZqcGtxJz8nZGZmcVo0Vm9fb39DUjVMUkdgNW1OJyknZHVsTmB8Jz8ndW5acWB2cVowNFZLdH1UNlNIR3NdQ0BHZmo0cUBtNjBEYmJGdHUzNTxAdUR1TERHZEhmS2pBNX9OajJcUDcwVWlucz1sV3NBdXVdcT1BV09LZHNcUGwydUpWNkhPaWBQVzU1fUJhU3RgQWInKSdjd2poVmB3c2B3Jz9xd3BgKSdnZGZuYndqcGthRmppancnPycmY2NjY2NjJyknaWR8anBxUXx1YCc%2FJ3Zsa2JpYFpscWBoJyknYGtkZ2lgVWlkZmBtamlhYHd2Jz9xd3BgeCUl",
"email": null,
"transactionId": "ui939sl09ie32uo23we32rtkki",
"description": "test",
"amount": "10000",
"currency": "USD",
"paymentGateway": "STRIPE_CONNECT",
"date": "2026-01-27T09:43:09Z",
"status": "PROCESSING",
"refundedAmount": "0"
}
],
"pageNum": 1,
"pageSize": 2,
"total": 1,
"pages": 1,
"hasNext": false,
"hasPrev": false
}Payment Hub
Get payment list
POST
/
api
/
data-query
Get payment list
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Response
200 - application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
